aboutsummaryrefslogtreecommitdiffstats
path: root/community
diff options
context:
space:
mode:
Diffstat (limited to 'community')
-rw-r--r--community/perl-log-dispatch-configurator-any/APKBUILD40
1 files changed, 40 insertions, 0 deletions
diff --git a/community/perl-log-dispatch-configurator-any/APKBUILD b/community/perl-log-dispatch-configurator-any/APKBUILD
new file mode 100644
index 0000000000..c66e7dd730
--- /dev/null
+++ b/community/perl-log-dispatch-configurator-any/APKBUILD
@@ -0,0 +1,40 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=perl-log-dispatch-configurator-any
+_pkgreal=Log-Dispatch-Configurator-Any
+pkgver=1.122640
+pkgrel=0
+pkgdesc="Configurator implementation with Config::Any"
+url="http://search.cpan.org/dist/Log-Dispatch-Configurator-Any/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-log-dispatch perl-config-any perl-log-dispatch-config
+perl-test-pod-coverage perl-config-tiny perl-module-pluggable"
+cpanmakedepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/O/OL/OLIVER/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ make && make test
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="5d71ccc620e534669f6687726cec419e Log-Dispatch-Configurator-Any-1.122640.tar.gz"
+sha256sums="e9900c7c510b27d96eeb5ab28afc2780ccce19558f24daf649810514a11f41c8 Log-Dispatch-Configurator-Any-1.122640.tar.gz"
+sha512sums="9cf9e1583f9c28c6b1320281c0607912b814339bee27a8da3ede8e1edd44ce589ea8ff6a70adc3c4f620075f3966d5563eababecfde720a50ab07eda3a14a07c Log-Dispatch-Configurator-Any-1.122640.tar.gz"